showMethods {methods} | R Documentation

## Show all the methods for the specified function(s)

### Description

Show a summary of the methods for one or more generic functions, possibly restricted to those involving specified classes.

### Usage

    showMethods(f=character(), where=-1, classes=NULL, includeDefs=FALSE,
                inherited=TRUE, printTo = stdout())

### Arguments

`f` | One or more function names. If omitted, all functions will be examined.
`where` | If `where` is supplied, the methods definition from that position will be used; otherwise, the current definition is used (which will include inherited methods that have arisen so far in the session). If `f` is omitted, `where` controls where to look for generic functions.
`classes` | If argument `classes` is supplied, it is a vector of class names that restricts the displayed results to those methods whose signatures include one or more of those classes.
`includeDefs` | If `includeDefs` is `TRUE`, include the definitions of the individual methods in the printout.
`inherited` | If `inherits` is `TRUE`, then methods that have been found by inheritance, so far in the session, will be included and marked as inherited.
`printTo` | The connection on which the printed information will be written. If `printTo` is `FALSE`, the output will be collected as a character vector and returned as the value of the call to `showMethod`. See `show`.

### Details

The output style is different from S-Plus in that it does not show the database from which the definition comes, but can optionally include the method definitions.

### Value

If `printTo` is `FALSE`, the character vector that would have been printed is returned; otherwise the value is the connection or filename.

### Author(s)

John Chambers

### References

The web page http://www.omegahat.org/RSMethods/index.html is the primary documentation.

The functions in this package emulate the facility for classes and methods described in Programming with Data (John M. Chambers, Springer, 1998). See this book for further details and examples.

### See Also

`setMethod`, and `GenericFunctions` for other tools involving methods; `show`

### Examples

    ## assuming the methods for plot
    ## are set up as in the documentation for setMethod,
    ## print (without definitions) the methods that involve
    ## class "track"
    showMethods("plot", classes = "track")

    Function "plot":
    x = ANY, y = track
    x = track, y = missing
    x = track, y = ANY

[Package Contents]